import { Machine } from '../../src/index';
import { testAll } from '../utils';

xdescribe('Example 6.23', () => {
  const machine = Machine({
    initial: 'AB',
    states: {
      AB: {
        parallel: true,
        states: {
          A: {
            initial: 'D',
            states: {
              C: {},
              D: {},
              E: {}
            }
          },
          B: {
            initial: 'G',
            states: {
              F: {
                on: {
                  2: { '^Y': { in: 'A.C' } }
                }
              },
              G: {},
              H: {}
            }
          }
        }
      },
      Y: {}
    }
  });

  const expected = {
    '{"AB":{"A":"D", "B":"G"}}': {
      2: undefined
    },
    '{"AB":{"A":"C", "B":"F"}}': {
      2: 'Y'
    }
  };

  testAll(machine, expected);
});
